%global pname   satip
%global __provides_exclude_from ^%{vdr_libdir}/.*\\.so.*$

Name:           vdr-%{pname}
Version:        2.4.0
Release:        1%{?dist}
Summary:        DVB SAT>IP channel driver plugin for VDR

License:        GPLv2+
URL:            http://www.saunalahti.fi/~rahrenbe/vdr/satip/
Source0:        http://www.saunalahti.fi/~rahrenbe/vdr/satip/files/%{name}-%{version}.tgz
Source1:        %{name}.conf

BuildRequires:  vdr-devel >= 2
BuildRequires:  gcc
BUildRequires:  gcc-c++
BuildRequires:  tinyxml-devel
BuildRequires:  libcurl-devel
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
This plugin integrates SAT>IP network devices seamlessly into VDR.
You can use any SAT>IP channel like any other normal DVB channel for
live viewing, recording, etc. The plugin also features full section
filtering capabilities which allow for example EIT information to be
extracted from the incoming stream.


%prep
%setup -q -n %{pname}-%{version}
perl -i -pe 's,^#SATIP_USE_TINYXML.*$,SATIP_USE_TINYXML = 1,' Makefile


%build
make %{?_smp_mflags} STRIP=/bin/true


%install
%make_install
install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%find_lang %{name}


%files -f %{name}.lang
%doc COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_libdir}/libvdr-%{pname}.so.%{vdr_apiversion}


%changelog
* Sun Jul 14 2019 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.4.0-1
- update to 2.4.0

* Tue May 13 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3.2-1
- initial package.
